%global momorel 2

Summary: Mission Control, or MC, for telepathy 
Name: telepathy-mission-control
Version: 5.5.3
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://sourceforge.net/projects/mission-control/
Source0: http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk-doc
BuildRequires: python
BuildRequires: libxslt >= 1.1.24
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.18.1
BuildRequires: dbus-devel >= 1.2.3
BuildRequires: dbus-glib-devel >= 0.76
BuildRequires: telepathy-glib-devel >= 0.11.9
BuildRequires: libtelepathy-devel >= 0.3.3
BuildRequires: GConf2-devel >= 2.24.0
BuildRequires: gnome-keyring-devel >= 2.24.0

%description
Mission Control, or MC, is a telepathy (chat and voip framework)
component providing a way for "end-user" applications to abstract some
details of low level telepathy components such as connection managers.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: dbus-devel
Requires: dbus-glib-devel
Requires: telepathy-glib-devel
Requires: libtelepathy-devel
Requires: GConf2-devel
Requires: gnome-keyring-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --enable-static=no \
    --enable-gtk-doc \
    --enable-plugins \
    --enable-gnome-keyring \
    LIBS="-ltelepathy-glib -lgobject-2.0 -lglib-2.0 -ldbus-glib-1 -ldbus-1 -lgnome-keyring"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog NEWS
%{_bindir}/mc-tool
%{_bindir}/mc-wait-for-name
%{_libdir}/libmission-control-plugins.so.*
%exclude %{_libdir}/*.la

%{_libexecdir}/mission-control-5
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.AccountManager.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.MissionControl5.service

%{_mandir}/man1/mc-*.1.*
%{_mandir}/man8/mission-control-5.8.*


%files devel
%defattr(-, root, root)
%{_libdir}/libmission-control-plugins.so
%{_libdir}/pkgconfig/mission-control-plugins.pc
%{_includedir}/mission-control-5.5
%doc %{_datadir}/gtk-doc/html/mission-control-plugins

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (5.5.3-2m)
- full rebuild for mo7 release

* Sat Jul 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.5.3-1m)
- update to 5.5.3

* Tue Jul  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.5.1-2m)
- rebuild with gtk-doc-1.14

* Mon Jul  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.5.1-1m)
- update to 5.5.1

* Fri Jun 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.4.3-1m)
- update to 5.4.3

* Mon May  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.3.4-2m)
- explicitly link some libraries

* Sun Apr 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.3.4-1m)
- update to 5.3.4

* Sat Jan 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.3.2-1m)
- update to 5.3.2

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.3.1-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.3.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.3.1-1m)
- update to 5.3.1

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.2.1-1m)
- update to 5.2.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.67-2m)
- rebuild against rpm-4.6

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.15-1m)
- initial build
